Rolodex
/- Search for potential duplicates in the portal
Gets all of the contact duplicates in the system.
Search for potential duplicates
Execute Batch Operations
Returns a contact duplicate from the system by its ID.
Partially updates a contact duplicate with the specified ID.
Updates a contact duplicate with the specified ID.
Search for potential dupl...
This method searches for potential duplicates and returns masked validation options
Security
knox-authorizer
The data you would like to try to check for duplicates
The minimum degree of confidence on a scale of 1 to 100 that you would like considered a potential duplicate
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contactDuplicates/{tenantId}/portal
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/contactDuplicates/{tenantId}/portal
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contactDuplicates/{tenantId}/portal' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"email_address": "string",
"first_name": "string",
"last_name": "string",
"minimum_confidence": 0.1,
"postal_code": "string"
}'Response
[ { "id": "string", "location": { … }, "masked_email_addresses": [ … ], "masked_phone_numbers": [ … ], "name": "string", "organization_name": "string" } ]